Skip to main content
DELETE
/
{tenantUUID}
/
prefixes
/
{notation}
/
metadata
Delete Holder Metadata for a single Prefix
curl --request DELETE \
  --url https://apigw.ipxo.com/nethub-data/{tenantUUID}/prefixes/{notation}/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": [
    "string"
  ]
}
'
{
  "notation": "string",
  "ipNet": {
    "ip": "string",
    "mask": "string"
  },
  "internalMetadata": {
    "internal": true,
    "readOnly": true,
    "master": true,
    "prefixLengthLimits": {
      "min": 0,
      "max": 0,
      "exact": [
        0
      ]
    },
    "holders": [
      {
        "tenantUUID": "string",
        "projectID": "string",
        "organisation": "string",
        "type": 0,
        "top": true
      }
    ]
  },
  "externalMetadata": {
    "key1": "value1",
    "keyN": "valueN"
  },
  "holderMetadata": {
    "key1": "value1",
    "keyN": "valueN"
  },
  "geodata": [
    {
      "provider": "string",
      "countryName": "string",
      "countryCode": "string",
      "cityName": "string",
      "date": "string",
      "state": "string"
    }
  ],
  "whois": {
    "inetnum": "string",
    "registrar": "string",
    "source": "string",
    "recordActive": true,
    "nets": [
      {
        "organisation": "string",
        "netname": "string",
        "net_type": "string",
        "net_handle": "string",
        "origin_as": "string",
        "country": [
          "string"
        ],
        "comment": "string",
        "created": "string",
        "last_modified": "string",
        "record_created": "string",
        "record_modified": "string",
        "mnt_by": [
          "string"
        ],
        "mnt_irt": [
          "string"
        ],
        "pocs": [
          {
            "handle": "string",
            "kind": "string"
          }
        ],
        "notify": "string"
      }
    ],
    "domains": [
      {
        "domain": "string",
        "nservers": [
          "string"
        ]
      }
    ]
  },
  "bgp": {
    "peerCount": {
      "fullTable": 0,
      "active": 0
    },
    "asOrigins": [
      {
        "asn": 0,
        "peersSeeing": 0
      }
    ],
    "asSetOrigins": [
      {
        "asSet": "string",
        "peersSeeing": 0
      }
    ]
  },
  "rpki": {
    "roas": [
      {
        "maxLength": 0,
        "asn": "string",
        "ta": "string"
      }
    ],
    "suggestions": [
      {
        "maxLength": 0,
        "asn": "string",
        "ta": "string",
        "status": "as0"
      }
    ]
  },
  "routes": [
    {
      "route": "string",
      "origin": "string",
      "descr": [
        "string"
      ],
      "mnt_by": [
        "string"
      ],
      "changed": [
        "string"
      ],
      "source": "string"
    }
  ],
  "routingHealth": {
    "criticalityStatus": "critical",
    "bgpStatus": "match",
    "bgpActions": [
      {
        "action": "add",
        "asns": [
          0
        ]
      }
    ],
    "rpkiStatus": "match",
    "rpkiActions": [
      {
        "action": "add",
        "asns": [
          0
        ]
      }
    ],
    "irrStatus": "match",
    "irrActions": [
      {
        "action": "add",
        "asns": [
          {
            "origin": 0,
            "target": "string"
          }
        ]
      }
    ],
    "irmActions": [
      {
        "action": "add",
        "asns": [
          0
        ]
      }
    ]
  },
  "cacheDerrived": {
    "registrar": "string"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

Tenant UUID

notation
string
required

Prefix notation

Body

application/json
metadata
string[]
required

An array of strings representing metadata keys. Values can only contain following symbols: [A-Z, a-z, 0-9, -, _]

Response

Updated prefix.

notation
string
ipNet
object
internalMetadata
object
externalMetadata
object
Example:
{ "key1": "value1", "keyN": "valueN" }
holderMetadata
object
Example:
{ "key1": "value1", "keyN": "valueN" }
geodata
object[]
whois
object
bgp
object
rpki
object
routes
object[]
routingHealth
object
cacheDerrived
object